%define	major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Real-time MIDI input/output, audio I/O library
Name:		portmidi
Epoch:		1
Version:	217
Release:	%mkrel 15
License:	GPLv2
Group:		System/Libraries
URL:		http://portmedia.sourceforge.net
Source0:	http://downloads.sourceforge.net/portmedia/%{name}-src-%{version}.zip
Patch0:		portmidi-217-cmake-libdir-java-opts.patch
Patch1:		portmidi-217-cmake-CMP0037.patch
Patch2:		portmidi-217-portmidi_cmake.patch
Patch3:		portmidi-217-porttime_cmake.patch
Patch4:		portmidi-217-port-to-python3.patch
Patch5:		portmidi-str-fmt.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cython
BuildRequires:	cmake

%description
PortMidi -- real-time MIDI input/output.

This package provides test applications that utilizes the shared portmidi and
porttime libraries.

 * portmidi-latency
 * portmidi-midithread
 * portmidi-midithru
 * portmidi-sysex
 * portmidi-test

%package -n	%{libname}
Summary:	Real-time MIDI input/output, audio I/O library
Group:		System/Libraries
Conflicts:	%{_lib}portmidi-devel < %{version}

%description -n	%{libname}
PortMidi -- real-time MIDI input/output.

This package provides the shared libraries for portmidi and porttime.

%package -n	%{develname}
Summary:	Development files for PortMidi
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	porttime-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
PortMidi -- real-time MIDI input/output.

This package provides the development libraries and headers for portmidi and
porttime.

%package -n	python3-pyportmidi
Summary:	Python 3 wrapper for %{name}
Group:		Development/Python

%description -n	python3-pyportmidi
PyPortMidi is a Python 3 wrapper for PortMidi. PortMidi is a cross-platform
C library for realtime MIDI control. Using PyPortMidi, you can send and
receive MIDI data in realtime from Python.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%cmake -DVERSION=%{version} \
       -DPORTMIDI_ENABLE_JAVA=OFF \
       -DCMAKE_CACHEFILE_DIR=`pwd` \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

# build python module
pushd pm_python
export CPPFLAGS="-I../pm_common -I../porttime"
export LDFLAGS="%{ldflags} -L../Release"
%py3_build
popd

%install
%cmake_install

install -d %{buildroot}%{_bindir}
pushd Release
install -m0755 latency %{buildroot}%{_bindir}/portmidi-latency
install -m0755 midiclock %{buildroot}%{_bindir}/portmidi-midiclock
install -m0755 midithread %{buildroot}%{_bindir}/portmidi-midithread
install -m0755 midithru %{buildroot}%{_bindir}/portmidi-midithru
install -m0755 mm %{buildroot}%{_bindir}/portmidi-mm
install -m0755 qtest %{buildroot}%{_bindir}/portmidi-qtest
install -m0755 sysex %{buildroot}%{_bindir}/portmidi-sysex
install -m0755 test %{buildroot}%{_bindir}/portmidi-test
popd

# install python module
pushd pm_python
%py3_install
popd

%files
%{_bindir}/portmidi-latency
%{_bindir}/portmidi-midiclock
%{_bindir}/portmidi-midithread
%{_bindir}/portmidi-midithru
%{_bindir}/portmidi-mm
%{_bindir}/portmidi-qtest
%{_bindir}/portmidi-sysex
%{_bindir}/portmidi-test

%files -n %{libname}
%doc CHANGELOG.txt README.txt portmusic_logo.png pm_cl/* pm_linux/README_LINUX.txt
%license license.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/libporttime.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_includedir}/porttime.h
%{_libdir}/lib%{name}.so
%{_libdir}/libporttime.so

%files -n python3-pyportmidi
%doc pm_python/README_PYTHON.txt
%{python3_sitearch}/pyportmidi/
%{python3_sitearch}/pyportmidi-0.0.7-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 wally <wally> 1:217-15.mga8
+ Revision: 1534190
- add patch to fix str fmt
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 1:217-14.mga8
+ Revision: 1445686
- rebuild for python3.8

* Wed Apr 17 2019 daviddavid <daviddavid> 1:217-13.mga7
+ Revision: 1391920
- build/package the pyportmidi module from Python3

* Thu Nov 01 2018 daviddavid <daviddavid> 1:217-12.mga7
+ Revision: 1327096
- add patch to enable missing libporttime shared library (mga#23794)
- add patch to fix libportmidi shared library soversion
- package more portmidi binaries

* Sun Sep 23 2018 umeabot <umeabot> 1:217-11.mga7
+ Revision: 1300347
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Sun Mar 12 2017 mitya <mitya> 1:217-10.mga6
+ Revision: 1092233
- fix build with latest CMake
- actually enable ALSA MIDI (via CMAKE_BUILD_TYPE=Release)

* Thu Jan 07 2016 danf <danf> 1:217-9.mga6
+ Revision: 920250
- Fixed building with new cmake

* Wed Oct 15 2014 umeabot <umeabot> 1:217-8.mga5
+ Revision: 748707
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:217-7.mga5
+ Revision: 687727
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:217-6.mga4
+ Revision: 517613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:217-5.mga3
+ Revision: 378091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1:217-4.mga3
+ Revision: 307456
- cleanup spec

* Sun May 01 2011 ahmad <ahmad> 1:217-4.mga1
+ Revision: 94037
- use the Epoch in the devel package requires/provides

* Sat Apr 30 2011 ahmad <ahmad> 1:217-3.mga1
+ Revision: 94022
- add an Epoch to smoothen upgrades from Mandriva 2010.1

* Tue Apr 05 2011 dams <dams> 217-2.mga1
+ Revision: 80801
- clean spec file

* Tue Apr 05 2011 dams <dams> 217-1.mga1
+ Revision: 80791
- import, clean and update to 217
- imported package portmidi


* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 20070107-3mdv2009.0
+ Revision: 242328
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 20070107-1mdv2008.0
+ Revision: 57170
- Import portmidi



* Tue Jul 31 2007 Oden Eriksson <oeriksson@mandriva.com> 20070107-1mdv2008.0
- initial Mandriva package
